## rsibreak 0.12.15+p24.04+vstable+git20251019.0551

=== debian/changelog ===
rsibreak (4:0.12.15+p24.04+vstable+git20251019.0551-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:51:18 +0000

=== debian/control ===
Source: rsibreak
Section: utils
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/RSIBreak
Vcs-Git: https://invent.kde.org/neon/extras/rsibreak.git
Vcs-Browser: https://invent.kde.org/neon/extras/rsibreak
Maintainer: Neon CI <neon@kde.org>

Package: rsibreak
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to help prevent repetitive strain injury
 Prolonged use of a mouse and keyboard can cause a repetitive strain injury
 (RSI), so computer users are advised to take regular breaks.
 .
 RSIBreak helps prevent repetitive strain injuries by keeping track of usage
 patterns and periodically informing users to take breaks.  During break
 periods, RSIBreak can either show an unobtrusive message, lock the screen
 entirely, or present a slideshow.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6

## rsibreak 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)

project( rsibreak )

set(QT_MIN_VERSION "6.7.0")  # Remember to update the QT_DEPRECATED_WARNINGS_SINCE below
set(KF_REQUIRED_VERSION "6.8") # Remember to update the KF_DEPRECATED_WARNINGS_SINCE below
set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")

find_package(ECM ${KF_REQUIRED_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui DBus)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF_REQUIRED_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    Crash
    DBusAddons
    DocTools
    I18n
    IdleTime
    Notifications
    NotifyConfig
    TextWidgets
    XmlGui
    WindowSystem
    StatusNotifierItem
    ColorScheme
    )

add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x060800)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060900)

add_subdirectory( icons )
add_subdirectory( doc )
add_subdirectory( src )

include(CTest)

if(BUILD_TESTING)
  enable_testing()
  add_subdirectory( test )
endif()

ki18n_install(po)
kdoctools_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR rsibreak)

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
ecm_install_icons( ICONS 128-apps-rsibreak.png 16-actions-rsibreak2.png 16-actions-rsibreakx.png 22-actions-rsibreak1.png 22-actions-rsibreak4.png 32-actions-duringbreaks.png 32-actions-rsibreak2.png 32-actions-rsibreakx.png 48-actions-rsibreak0.png 48-actions-rsibreak3.png 16-actions-rsibreak0.png 16-actions-rsibreak3.png 16-apps-rsibreak.png 22-actions-rsibreak2.png 22-actions-rsibreakx.png 32-actions-rsibreak0.png 32-actions-rsibreak3.png 32-actions-timings.png 48-actions-rsibreak1.png 48-actions-rsibreak4.png 16-actions-rsibreak1.png 16-actions-rsibreak4.png 22-actions-rsibreak0.png 22-actions-rsibreak3.png 22-apps-rsibreak.png 32-actions-rsibreak1.png 32-actions-rsibreak4.png 32-apps-rsibreak.png 48-actions-rsibreak2.png 48-actions-rsibreakx.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} )

############ rsibreak ########################################################

# source files needed
set(rsibreak_sources
slideshoweffect.cpp
popupeffect.cpp
grayeffect.cpp
passivepopup.cpp
rsidock.cpp
setup.cpp
setupgeneral.cpp
setuptiming.cpp
setupnotifications.cpp
rsiwidget.cpp
rsirelaxpopup.cpp
setupmaximized.cpp
rsistatwidget.cpp
rsistats.cpp
rsitimer.cpp
rsitimercounter.cpp
rsiglobals.cpp
rsistatitem.cpp
breakbase.cpp
plasmaeffect.cpp
breakcontrol.cpp
rsiidletime.cpp
notificator.cpp
kpassivepopup.cpp
)

QT_ADD_DBUS_ADAPTOR( rsibreak_sources
org.rsibreak.rsiwidget.xml
rsiwidget.h RSIObject
)

# compilation
add_library(rsibreak_lib STATIC ${rsibreak_sources})
add_executable(rsibreak main.cpp)

# linking
target_link_libraries(rsibreak_lib
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::Crash
    KF6::DBusAddons
    KF6::I18n
    KF6::IdleTime
    KF6::Notifications
    KF6::NotifyConfig
    KF6::TextWidgets
    KF6::XmlGui
    KF6::WindowSystem
    KF6::StatusNotifierItem
    KF6::ColorScheme
    Qt::DBus
    Qt::GuiPrivate
)
target_link_libraries(rsibreak rsibreak_lib)

# install
install( TARGETS rsibreak ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install( PROGRAMS org.kde.rsibreak.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES rsibreak.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}  )
install( FILES org.rsibreak.rsiwidget.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )
install( FILES rsibreak_autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} )
install( FILES org.kde.rsibreak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== test/CMakeLists.txt ===
include_directories( ${PROJECT_SOURCE_DIR}/src )

set( rsibreaktest_src
    test_runner.cpp
    rsitimer_test.cpp
    rsitimercounter_test.cpp
)

find_library(rsibreak_lib rsibreak_lib)
find_package( Qt${QT_MAJOR_VERSION}Test REQUIRED )

add_executable( rsibreak_tests ${rsibreaktest_src} )

target_link_libraries( rsibreak_tests Qt::Test rsibreak_lib )

add_test(NAME rsibreak_tests COMMAND rsibreak_tests)

=== debian/changelog ===
rsibreak (4:0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5crash-dev, libkf5dbusaddons-dev, libkf5doctools-dev, libkf5i18n-dev,
      libkf5idletime-dev, libkf5notifications-dev, libkf5notifyconfig-dev,
      libkf5textwidgets-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, libkf6colorscheme-dev, libkf6config-dev,
      libkf6coreaddons-dev, libkf6crash-dev, libkf6dbusaddons-dev,
      libkf6doctools-dev, libkf6i18n-dev, libkf6idletime-dev,
      libkf6notifications-dev, libkf6notifyconfig-dev,
      libkf6statusnotifieritem-dev, libkf6textwidgets-dev,
      libkf6windowsystem-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
  * Switch the kf5 dh addon to kf6.
  * Drop the removal of the x-test "translations", as they are no more shipped.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Oct 2025 09:38:20 +0200

=== debian/control ===
Source: rsibreak
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-kf6,
 cmake (>= 3.16.0~),
 qt6-base-dev (>= 6.7.0~),
 extra-cmake-modules (>= 6.8.0~),
 libkf6colorscheme-dev (>= 6.8.0~),
 libkf6config-dev (>= 6.8.0~),
 libkf6coreaddons-dev (>= 6.8.0~),
 libkf6crash-dev (>= 6.8.0~),
 libkf6dbusaddons-dev (>= 6.8.0~),
 libkf6doctools-dev (>= 6.8.0~),
 libkf6i18n-dev (>= 6.8.0~),
 libkf6idletime-dev (>= 6.8.0~),
 libkf6notifications-dev (>= 6.8.0~),
 libkf6notifyconfig-dev (>= 6.8.0~),
 libkf6statusnotifieritem-dev (>= 6.8.0~),
 libkf6textwidgets-dev (>= 6.8.0~),
 libkf6windowsystem-dev (>= 6.8.0~),
 libkf6xmlgui-dev (>= 6.8.0~),
 xvfb <!nocheck>, xauth <!nocheck>,
 gettext,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rsibreak.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rsibreak
Homepage: https://userbase.kde.org/RSIBreak

Package: rsibreak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to help prevent repetitive strain injury
 Prolonged use of a mouse and keyboard can cause a repetitive strain injury
 (RSI), so computer users are advised to take regular breaks.
 .
 RSIBreak helps prevent repetitive strain injuries by keeping track of usage
 patterns and periodically informing users to take breaks.  During break
 periods, RSIBreak can either show an unobtrusive message, lock the screen
 entirely, or present a slideshow.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## rsibreak 0.13.0+p24.04+vstable+git20251215.0346

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vstable+git20251215.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:46:54 +0000

rsibreak (4:0.13.0-0) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Nov 2025 07:05:05 +0200

## rsibreak 0.13.0+p24.04+vstable+git20251224.0758

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vstable+git20251224.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:58:43 +0000

## rsibreak 0.13.0+p24.04+vstable+git20260113.0420

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vstable+git20260113.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 04:20:47 +0000

## rsibreak 0.13.0+p24.04+vstable+git20260201.0245

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vstable+git20260201.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:45:18 +0000

## rsibreak 0.13.0+p24.04+vunstable+git20251113.1146

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vunstable+git20251113.1146-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 11:46:11 +0000

## rsibreak 0.13.0+p24.04+vunstable+git20251123.1128

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vunstable+git20251123.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:28:54 +0000

## rsibreak 0.13.0+p24.04+vunstable+git20251215.0517

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vunstable+git20251215.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 05:17:28 +0000

## rsibreak 0.13.0+p24.04+vunstable+git20260113.0106

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vunstable+git20260113.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:06:43 +0000

## rsibreak 0.13.0+p24.04+vunstable+git20260201.0821

=== debian/changelog ===
rsibreak (4:0.13.0+p24.04+vunstable+git20260201.0821-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:21:45 +0000
